For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update a Loop Link

Update (replace) an existing Loop Link.

put
Authorizations
AuthorizationstringRequired

Enter your PredictHQ API key. The Bearer prefix is added automatically.

When calling the API directly, send: Authorization: Bearer <YOUR_API_KEY> as documented at https://docs.predicthq.com/api/overview/authenticating

Path parameters
link_idstringRequired

An existing Loop Link ID.

Body
expire_dtstring · date-timeOptional

Date/time the Loop Link is set to expire in ISO 8601 format.

All dates are in UTC.

This is an optional field - omit if not needed.

E.g. 2023-05-08T00:29:45.859Z

namestring · min: 1 · max: 120Optional

Name of the Loop Link. This is for your own use as a way to differentiate your Loop Links.

E.g. Hotel ABC

Example: Hotel ABCPattern: ^[a-zA-Z0-9 _-]+$
Responses
200

Successful Response

No content

put/v1/loop/links/{link_id}
PUT /v1/loop/links/{link_id} HTTP/1.1
Host: api.predicthq.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 109

{
  "expire_dt": "2026-01-01T00:00:00.000Z",
  "metadata": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "name": "Hotel ABC"
}

No content

Examples

The following examples update a Loop Link:

OpenAPI spec

Guides

ow are some guides relevant to this API:

Last updated

Was this helpful?